New to Kendo UI for VueStart a free 30-day trial

Specifies the dash line type.

The possible values are:

  • "dash"—Creates a line that consists of dashes.
  • "dashDot"—Creates a line that consists of a repeating dash-dot pattern.
  • "dot"—Creates a line that consists of dots.
  • "longDash"—Creates a line that consists of a repeating long-dash pattern.
  • "longDashDot"—Creates a line that consists of a repeating long-dash-dot pattern.
  • "longDashDotDot"—Creates a line that consists of a repeating long-dash-dot-dot pattern.
  • "solid"—Creates a solid line.

Possible values:

  • "dash"
  • "dashDot"
  • "dot"
  • "longDash"
  • "longDashDot"
  • "longDashDotDot"
  • "solid"
Example:
jsx
<template>
 <Chart>
   <ChartSeries>
     <ChartSeriesItem :type="'line'" :data-items="dataItems" :dash-type="'dot'" />
   </ChartSeries>
 </Chart>
 </template>
<script>
import {
 Chart,
 ChartSeries,
 ChartSeriesItem
} from '@progress/kendo-vue-charts';

export default {
  components: {
     Chart,
     ChartSeries,
     ChartSeriesItem
  },
  data () {
      return {
         dataItems: [1, 2, 3]
      };
  }
}
</script>
Not finding the help you need?
Contact Support

New to Kendo UI for AngularStart a free 30-day trial

DashType

Updated over 6 months ago

Specifies the dash line type.

The possible values are:

  • "dash"—Creates a line that consists of dashes.
  • "dashDot"—Creates a line that consists of a repeating dash-dot pattern.
  • "dot"—Creates a line that consists of dots.
  • "longDash"—Creates a line that consists of a repeating long-dash pattern.
  • "longDashDot"—Creates a line that consists of a repeating long-dash-dot pattern.
  • "longDashDotDot"—Creates a line that consists of a repeating long-dash-dot-dot pattern.
  • "solid"—Creates a solid line.
ts
import { Component } from '@angular/core';
import { DashType } from '@progress/kendo-angular-charts';

@Component({
  selector: 'my-app',
  template: `
    <kendo-chart>
      <kendo-chart-series>
        <kendo-chart-series-item type="line" [data]="[1, 2, 3]" [dashType]="dashType">
        </kendo-chart-series-item>
      </kendo-chart-series>
    </kendo-chart>
  `
})
class AppComponent {
  public dashType: DashType = "dot";
}

type DashType = "dash" | "dashDot" | "dot" | "longDash" | "longDashDot" | "longDashDotDot" | "solid";

Not finding the help you need?
Contact Support